跳转到内容

Meshy Rigging Multi Animation

集成

模型 id meshy/rigging/multi-animation
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/meshy/rigging/multi-animation?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model_url": "https://example.com/your-file.glb",
    "animation_action_ids": [
      36,
      92
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

与示例类似的文件: $0.44 440 API 积分 运行前会测量你的文件 在此页面运行

获取 API 密钥
Meshy 3D #stylized#transform#3d

为人形 GLB 一次性绑定骨骼,并在单次运行中烘焙多个动画预设

Meshy · 数据(JSON)

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填

用于绑定和制作动画的 URL,目标为四肢清晰可辨的人形 3D 角色。URL 必须可公开访问并指向 GLB 文件;模型可以来自 Hunyuan、Trellis、Meshy 或其他 3D 生成工具。

•必填

Meshy 动画库预设 ID;至少需要一个,每个 ID 必须在 [0, 696] 内,最多包含 10 个不同片段,并会去除重复项。每个 ID 使用同一骨骼生成一个片段,并按请求顺序在 animations 数组中返回。可用 ID 记录于 https://docs.meshy.ai/en/api/animation-library。

高级 height_meters · enable_safety_checker
默认 1.7

估计的角色高度,以米为单位。

POST /run/meshy/rigging/multi-animation?wait=20 报价 → $0.44
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/meshy/rigging/multi-animation?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model_url": "https://example.com/your-file.glb",
    "animation_action_ids": [
      36,
      92
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Meshy Rigging Multi Animation

从 `model_url` 获取人形 GLB 并绑定骨骼,然后为 `animation_action_ids` 中的每个 ID 生成一个动画片段,所有片段使用同一套骨骼。片段会按请求顺序返回在 `animations` 数组中,同时返回绑定骨骼后的 GLB 和 FBX 文件,以及基础的行走和奔跑动画。至少需要一个 ID。`height_meters`设置角色的大致高度。

参数

名称类型 默认值允许值 描述
model_url必填
类型string
用于绑定和制作动画的 URL,目标为四肢清晰可辨的人形 3D 角色。URL 必须可公开访问并指向 GLB 文件;模型可以来自 Hunyuan、Trellis、Meshy 或其他 3D 生成工具。
height_meters可选
类型number
默认值1.7
> 0
估计的角色高度,以米为单位。
animation_action_ids必填
类型integer[]
Meshy 动画库预设 ID;至少需要一个,每个 ID 必须在 [0, 696] 内,最多包含 10 个不同片段,并会去除重复项。每个 ID 使用同一骨骼生成一个片段,并按请求顺序在 animations 数组中返回。可用 ID 记录于 https://docs.meshy.ai/en/api/animation-library。
enable_safety_checker可选
类型boolean
默认值true
预处理安全检查开关:true 表示必须先通过输入安全检查才能处理。
必填

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "meshy/rigging/multi-animation",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 440,
    "usd": "0.44",
    "charged": 440,
    "refunded": 0
  },
  "input": {
    "model_url": "https://example.com/your-file.glb",
    "animation_action_ids": [
      36,
      92
    ]
  },
  "output": {
    "rigged_character_glb": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "rigged_character_fbx": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "basic_animations": {
      "walking_glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "walking_fbx": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "walking_armature_glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "running_glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "running_fbx": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "running_armature_glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    },
    "animations": [
      {
        "action_id": 1,
        "animation_glb": {
          "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
          "content_type": "image/jpeg",
          "file_name": "0-output.jpeg",
          "file_size": 1843200
        },
        "animation_fbx": {
          "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
          "content_type": "image/jpeg",
          "file_name": "0-output.jpeg",
          "file_size": 1843200
        }
      }
    ],
    "rig_task_id": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
rigged_character_glb
object {url, content_type, file_name, file_size} | null已应用绑定骨骼的 GLB 格式角色。
rigged_character_fbx
object {url, content_type, file_name, file_size} | null已应用绑定骨骼的 FBX 格式角色。
basic_animations
object {walking_glb, walking_fbx, walking_armature_glb, running_glb, running_fbx, running_armature_glb} | null作为绑定骨骼一部分提供的基本行走和跑步动画。
animations
array of object {action_id, animation_glb, animation_fbx}按请求中的动作 ID 排列的动画结果。每个请求的 ID 对应一个条目,其中包含使用该骨骼生成的片段。
rig_task_id
string | nullMeshy 中绑定骨骼任务的标识符。

更多模型:3D

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/meshy/rigging/multi-animation.md. 所有模型和指南: https://doitong.com/developers/llms.txt